// See https://svelte.dev/docs/kit/types#app.d.ts

import type { User } from "$lib/types";

// for information about these interfaces
declare global {
	namespace App {
		interface Error {
			message: string;
			errorId: string;
		}
		// interface Locals {}
		interface Locals {
			user: User | null;
		}
		interface PageData {
			user: User | null;
		}
		// interface PageState {}
		// interface Platform {}
	}
}

export { };

